<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/Effects/EffectParticle/BulletImpactBase/Hit_Foliage.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d24/_hit___foliage_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Hit_Foliage.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/d24/_hit___foliage_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d0/d9d/class_hit___foliage.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d0/d9d/class_hit___foliage.html">Hit_Foliage</a> : <a class="code hl_class" href="../../d3/ddb/class_eff_bullet_impact_base.html">EffBulletImpactBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d0/d9d/class_hit___foliage.html#a1d5327f36c47455ed3b6556614f11a45">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d9d/class_hit___foliage.html#a1d5327f36c47455ed3b6556614f11a45">Hit_Foliage</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_function" href="../../d3/ddb/class_eff_bullet_impact_base.html#a52d3a64b754ef643bf0e6c7245d9b024">SetEnterParticle</a>(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#a658e0eca1764e8523686b684e89d438b">IMPACT_FOLIAGE_ENTER</a>);</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        <a class="code hl_function" href="../../d3/ddb/class_eff_bullet_impact_base.html#a3abaab42a9c169537f1bcadbbc9cbede">SetExitParticle</a>(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#a886ce6edac936de14ada0374a14544f9">IMPACT_FOLIAGE_EXIT</a>);</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_function" href="../../d3/ddb/class_eff_bullet_impact_base.html#aaff894f60e4e17ff15d3d31014f07200">SetRicochetParticle</a>(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#ab5da974030d7c554c29630c25b5f52c0">IMPACT_FOLIAGE_RICOCHET</a>);</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    }</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d0/d9d/class_hit___foliage.html#aef84ea2c70b423c1ac20c244d23c6dfe">   10</a></span>    <span class="keyword">override</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d0/d9d/class_hit___foliage.html#aef84ea2c70b423c1ac20c244d23c6dfe">CalculateStoppingForce</a>(<span class="keywordtype">float</span> in_speedf, <span class="keywordtype">float</span> out_speedf, <span class="keywordtype">string</span> ammoType, <span class="keywordtype">float</span> weight)</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    {</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d3/ddb/class_eff_bullet_impact_base.html#a09243023bb2daaf3c09c3c781b71b33a">m_ImpactType</a> == <a class="code hl_enumeration" href="../../d7/da5/_impact_effects_8c.html#aed11197d78b210965b9ae9cc67703b99">ImpactTypes</a>.MELEE )</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        {</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>            <span class="keywordflow">return</span> 500;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        }</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="keywordtype">float</span> projectile_weight_coef = weight / <a class="code hl_variable" href="../../d3/ddb/class_eff_bullet_impact_base.html#ab117212103bc2e3ae931d27879d52db3">DEFAULT_PROJECTILE_WEIGHT</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="keywordtype">float</span> stopping_force = in_speedf * projectile_weight_coef * 0.5;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>                </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordflow">return</span> stopping_force;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>}</div>
<div class="ttc" id="a_impact_effects_8c_html_aed11197d78b210965b9ae9cc67703b99"><div class="ttname"><a href="../../d7/da5/_impact_effects_8c.html#aed11197d78b210965b9ae9cc67703b99">ImpactTypes</a></div><div class="ttdeci">ImpactTypes</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/da5/_impact_effects_8c_source.html#l00001">ImpactEffects.c:2</a></div></div>
<div class="ttc" id="aclass_eff_bullet_impact_base_html"><div class="ttname"><a href="../../d3/ddb/class_eff_bullet_impact_base.html">EffBulletImpactBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d24/_bullet_impact_base_8c_source.html#l00001">BulletImpactBase.c:2</a></div></div>
<div class="ttc" id="aclass_eff_bullet_impact_base_html_a09243023bb2daaf3c09c3c781b71b33a"><div class="ttname"><a href="../../d3/ddb/class_eff_bullet_impact_base.html#a09243023bb2daaf3c09c3c781b71b33a">EffBulletImpactBase::m_ImpactType</a></div><div class="ttdeci">int m_ImpactType</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d24/_bullet_impact_base_8c_source.html#l00012">BulletImpactBase.c:12</a></div></div>
<div class="ttc" id="aclass_eff_bullet_impact_base_html_a3abaab42a9c169537f1bcadbbc9cbede"><div class="ttname"><a href="../../d3/ddb/class_eff_bullet_impact_base.html#a3abaab42a9c169537f1bcadbbc9cbede">EffBulletImpactBase::SetExitParticle</a></div><div class="ttdeci">void SetExitParticle(int id)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d24/_bullet_impact_base_8c_source.html#l00050">BulletImpactBase.c:50</a></div></div>
<div class="ttc" id="aclass_eff_bullet_impact_base_html_a52d3a64b754ef643bf0e6c7245d9b024"><div class="ttname"><a href="../../d3/ddb/class_eff_bullet_impact_base.html#a52d3a64b754ef643bf0e6c7245d9b024">EffBulletImpactBase::SetEnterParticle</a></div><div class="ttdeci">void SetEnterParticle(int id)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d24/_bullet_impact_base_8c_source.html#l00045">BulletImpactBase.c:45</a></div></div>
<div class="ttc" id="aclass_eff_bullet_impact_base_html_aaff894f60e4e17ff15d3d31014f07200"><div class="ttname"><a href="../../d3/ddb/class_eff_bullet_impact_base.html#aaff894f60e4e17ff15d3d31014f07200">EffBulletImpactBase::SetRicochetParticle</a></div><div class="ttdeci">void SetRicochetParticle(int id)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d24/_bullet_impact_base_8c_source.html#l00055">BulletImpactBase.c:55</a></div></div>
<div class="ttc" id="aclass_eff_bullet_impact_base_html_ab117212103bc2e3ae931d27879d52db3"><div class="ttname"><a href="../../d3/ddb/class_eff_bullet_impact_base.html#ab117212103bc2e3ae931d27879d52db3">EffBulletImpactBase::DEFAULT_PROJECTILE_WEIGHT</a></div><div class="ttdeci">static float DEFAULT_PROJECTILE_WEIGHT</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d24/_bullet_impact_base_8c_source.html#l00005">BulletImpactBase.c:5</a></div></div>
<div class="ttc" id="aclass_hit___foliage_html"><div class="ttname"><a href="../../d0/d9d/class_hit___foliage.html">Hit_Foliage</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d24/_hit___foliage_8c_source.html#l00001">Hit_Foliage.c:2</a></div></div>
<div class="ttc" id="aclass_hit___foliage_html_a1d5327f36c47455ed3b6556614f11a45"><div class="ttname"><a href="../../d0/d9d/class_hit___foliage.html#a1d5327f36c47455ed3b6556614f11a45">Hit_Foliage::Hit_Foliage</a></div><div class="ttdeci">void Hit_Foliage()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d24/_hit___foliage_8c_source.html#l00003">Hit_Foliage.c:3</a></div></div>
<div class="ttc" id="aclass_hit___foliage_html_aef84ea2c70b423c1ac20c244d23c6dfe"><div class="ttname"><a href="../../d0/d9d/class_hit___foliage.html#aef84ea2c70b423c1ac20c244d23c6dfe">Hit_Foliage::CalculateStoppingForce</a></div><div class="ttdeci">override float CalculateStoppingForce(float in_speedf, float out_speedf, string ammoType, float weight)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d24/_hit___foliage_8c_source.html#l00010">Hit_Foliage.c:10</a></div></div>
<div class="ttc" id="aclass_particle_list_html"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html">ParticleList</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00011">ParticleList.c:12</a></div></div>
<div class="ttc" id="aclass_particle_list_html_a658e0eca1764e8523686b684e89d438b"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#a658e0eca1764e8523686b684e89d438b">ParticleList::IMPACT_FOLIAGE_ENTER</a></div><div class="ttdeci">static const int IMPACT_FOLIAGE_ENTER</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00206">ParticleList.c:206</a></div></div>
<div class="ttc" id="aclass_particle_list_html_a886ce6edac936de14ada0374a14544f9"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#a886ce6edac936de14ada0374a14544f9">ParticleList::IMPACT_FOLIAGE_EXIT</a></div><div class="ttdeci">static const int IMPACT_FOLIAGE_EXIT</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00208">ParticleList.c:208</a></div></div>
<div class="ttc" id="aclass_particle_list_html_ab5da974030d7c554c29630c25b5f52c0"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#ab5da974030d7c554c29630c25b5f52c0">ParticleList::IMPACT_FOLIAGE_RICOCHET</a></div><div class="ttdeci">static const int IMPACT_FOLIAGE_RICOCHET</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00207">ParticleList.c:207</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_80278677bb134cdbd78522fbaaebb415.html">Effects</a></li><li class="navelem"><a class="el" href="../../dir_d352a1b47e56d9b55195a5be468a32df.html">EffectParticle</a></li><li class="navelem"><a class="el" href="../../dir_30d01dfda53db1a010cd1b5abe5341f1.html">BulletImpactBase</a></li><li class="navelem"><a class="el" href="../../d1/d24/_hit___foliage_8c.html">Hit_Foliage.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
